Loading...
Searching...
No Matches
Opm::Deck Class Reference

## Public Types

using | iterator = std::vector< DeckKeyword >::iterator
using | const_iterator = std::vector< DeckKeyword >::const_iterator

## Public Member Functions

| Deck (const Deck &)
| Deck (Deck &&)
Deck & | operator= (const Deck &rhs)
bool | operator== (const Deck &data) const
void | addKeyword (DeckKeyword &&keyword)
void | addKeyword (const DeckKeyword &keyword)
const UnitSystem & | getDefaultUnitSystem () const
const UnitSystem & | getActiveUnitSystem () const
UnitSystem & | getActiveUnitSystem ()
UnitSystem & | getDefaultUnitSystem ()
void | selectActiveUnitSystem (UnitSystem::UnitType unit_type)
const std::string & | getInputPath () const
std::string | getDataFile () const
void | setDataFile (const std::string &dataFile)
std::string | makeDeckPath (const std::string &path) const
DeckTree & | tree ()
DeckTree | tree () const
std::size_t | size () const
bool | empty () const
iterator | begin ()
iterator | end ()
void | write (DeckOutput &output) const
const_iterator | begin () const
const_iterator | end () const
Opm::DeckView | operator[] (const std::string &keyword) const
const DeckKeyword & | operator[] (std::size_t index) const
template<class Keyword>
Opm::DeckView | get () const
std::vector< const DeckKeyword * > | getKeywordList (const std::string &keyword) const
template<class Keyword>
std::vector< const DeckKeyword * > | getKeywordList () const
template<class Serializer>
void | serializeOp (Serializer &serializer)
bool | hasKeyword (const std::string &keyword) const
template<class Keyword>
bool | hasKeyword () const
const std::vector< std::size_t > | index (const std::string &keyword) const
template<class Keyword>
std::size_t | count () const
size_t | count (const std::string &keyword) const
void | remove_keywords (int from, int to)

## Static Public Member Functions

static Deck | serializationTestObject ()

## Friends

std::ostream & | operator<< (std::ostream &os, const Deck &deck)

The documentation for this class was generated from the following files:

- opm/input/eclipse/Deck/Deck.hpp
- opm/input/eclipse/Deck/Deck.cpp